darcs

Issue 2634 suspending conflicted patches crashes darcs or gives wrong results

Title suspending conflicted patches crashes darcs or gives wrong results
Priority Status resolved
Milestone Resolved in
Superseder Nosy List bf, ganesh
Assigned To ganesh
Topics

Created on 2019-09-04.11:11:32 by bf, last changed 2020-06-20.09:37:08 by bf.

Messages
msg21379 (view) Author: bf Date: 2019-09-04.11:11:30
This seems to be currently quite broken. Patch1902 has a test script and
with rebase as it stands it crashes for darcs-3 format and fails due to
wrong results for darcs-1 and darcs-2 format.
msg21977 (view) Author: ganesh Date: 2020-04-08.19:25:54
I'm working on this as part of the rebase refactorings.
msg22047 (view) Author: bf Date: 2020-06-20.09:37:06
Rebase still doesn't fully works as expected with conflicted patches.

But it no longer crashes.
History
Date User Action Args
2019-09-04 11:11:32bfcreate
2020-04-08 19:25:58ganeshsetassignedto: ganesh
messages: + msg21977
nosy: + ganesh
2020-06-20 09:37:08bfsetstatus: unknown -> resolved
messages: + msg22047